@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600&display=swap');

* {
   font-family: 'Nunito', sans-serif;
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   outline: none;
   border: none;
   text-decoration: none;
   transition: all .2s linear;
   text-transform: capitalize;
}

html {
   font-size: 62.5%;
   overflow-x: hidden;
}

body {
   background: #eee;
}

.container {
   max-width: 90%;
   margin: 0 auto;
   padding: 3rem 2rem;
}

.container .title {
   font-size: 3.5rem;
   color: #444;
   margin-bottom: 3rem;
   text-transform: uppercase;
   text-align: center;
}

.container .products-container {
   display: grid;
 /*  grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));*/
   gap: 1rem;
}

.container .products-container .product {
   text-align: center;
   padding: 3rem 2rem;
   background: #fff;
   box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
   outline: .1rem solid #ccc;
   outline-offset: -1.5rem;
   cursor: pointer;
}

.products-container .big-product {
   text-align: center;
   padding: 3rem 2rem;
   background: #fff;
   box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
   outline: .1rem solid #ccc;
   outline-offset: -1.5rem;
   cursor: pointer;
}

.container .products-container .product:hover {
   outline: .2rem solid #222;
   outline-offset: 0;
}

.products-container .big-product:hover {
   outline: .2rem solid #222;
   outline-offset: 0;
}

.container .products-container .product img {

   height: 10rem;
   width: 10rem;
}

.sec1 .big-product img {
   height: 30rem;
   /* margin-left: auto; */
   /* margin-right: auto; */
   /* align-items: center; */
   /* align-content: center; */
   /* justify-content: center; */
   /* display: block !important; */
   /* width: 100%; */
   /* background-color: red; */
}

.sec1 .big-product {
   /* align-items: center; */
   /* justify-items: center; */
   /* justify-content: center !important; */
   /* display: flex; */
   /* align-content: center; */
}

.container .products-container .product:hover img {
   transform: scale(.9);
}

.container .products-container .big-product:hover img {
   transform: scale(.9);
}

.container .products-container .product h3 {
   padding: .5rem 0;
   font-size: 2rem;
   color: #444;
}

.container .products-container .big-product h3 {
   padding: .5rem 0;
   font-size: 2rem;
   color: #444;
}

.container .products-container .product:hover h3 {
   color: #27ae60;
}

.container .products-container .big-product:hover h3 {
   color: #27ae60;
}

.container .products-container .product .price {
   font-size: 2rem;
   color: #444;
}

.container .products-container .big-product .price {
   font-size: 2rem;
   color: #444;
}

.products-preview {
   position: fixed;
   top: 0;
   left: 0;
   min-height: 100vh;
   width: 100%;
   background: rgba(0, 0, 0, .8);
   display: none;
   align-items: center;
   justify-content: center;
}

.products-preview .preview {
   display: none;
   padding: 2rem;
   text-align: center;
   background: #fff;
   position: relative;
   margin: 2rem;
   width: 40rem;
}

.products-container .preview {
   display: none;
   padding: 2rem;
   text-align: center;
   background: #fff;
   position: relative;
   margin: 2rem;
   width: 40rem;
}

.products-preview .preview.active {
   display: inline-block;
}

.products-container .preview.active {
   display: inline-block;
}

.products-preview .preview img {
   height: 30rem;
}


.products-preview .preview .fa-times {
   position: absolute;
   top: 1rem;
   right: 1.5rem;
   cursor: pointer;
   color: #444;
   font-size: 4rem;
}

.products-preview .preview .fa-times:hover {
   transform: rotate(90deg);
}

.products-preview .preview h3 {
   color: #444;
   padding: .5rem 0;
   font-size: 2.5rem;
}

.products-preview .preview .stars {
   padding: 1rem 0;
   font-size: 1.7rem;
}

.products-preview .preview .stars i {
   color: #27ae60;
}

.products-preview .preview .stars span {
   color: #999;
}

.products-preview .preview p {
   line-height: 1.5;
   padding: 1rem 0;
   font-size: 1.6rem;
   color: #777;
}

.products-preview .preview .price {
   padding: 1rem 0;
   font-size: 2.5rem;
   color: #27ae60;
}

.products-preview .preview .buttons {
   display: flex;
   gap: 1.5rem;
   flex-wrap: wrap;
   margin-top: 1rem;
}

.products-preview .preview .buttons a {
   flex: 1 1 16rem;
   padding: 1rem;
   font-size: 1.8rem;
   color: #444;
   border: .1rem solid #444;
}

.products-preview .preview .buttons a.cart {
   background: #444;
   color: #fff;
}

.products-preview .preview .buttons a.cart:hover {
   background: #111;
}

.products-preview .preview .buttons a.buy:hover {
   background: #444;
   color: #fff;
}

.big-product {
   /* max-height: 2rem; */
}


/** NEW CSS*/
.sec1 {
   grid-area: sec1;
}

.sec2 {
   grid-area: sec2;
}

.sec3 {
   grid-area: sec3;
}

.sec4 {
   grid-area: sec4;
}

.sec5 {
   grid-area: sec5;
}
.title-section{
   grid-area: sec6;
   font-size: 3rem;
   font-weight: 600;
}

.grid-container {
   display: grid;
   grid-template-areas:
      'sec6 sec6 sec6 sec6 sec6'
      'sec1 sec2 sec3 sec4 sec5'
      'sec1 sec2 sec3 sec4 sec5';
   gap: 10px;
   /* background-color: #2196F3; */
   /* padding: 10px; */
}

.img-container {
   height: 100%;
   display: flex;
   align-items: center;
   justify-content: center;
}

.animation-preloader
{
   /* width: 00px;
   height: 100px; */
   /* background-color: red; */
   position: relative;
   animation-name: example;
   animation-duration: 3s;
   animation-iteration-count: infinite;
   /* animation-direction: alternate;   */
}
@keyframes example {
   /* 0%   { left:0%; top:40%;}
   25%  { left:20%; top:40%;}
   50%  { left:40%; top:40%;}
   75%  { left:60%; top:40%;}
   100% { left:80%; top:40%;} */

   0%   { left:0%; top:40%;}
   10%  { left:5%; top:40%;}
   15%  { left:10%; top:40%;}
   20%  { left:15%; top:40%;}
   50%  { left:60%; top:40%;}
   100%  { left:100%; top:40%;}
 }
@media (max-width:991px) {

   html {
      font-size: 55%;
   }

}

@media (max-width:768px) {

   .products-preview .preview img {
      height: 25rem;
   }

}

@media (max-width:450px) {

   html {
      font-size: 50%;
   }

}